/*****************************************************************************
 * cuckooo - OpenOffice.org nested in KDE                                    *
 *                                                                           *
 * Copyright (C) 2003 Jan Holesovsky <kendy@artax.karlin.mff.cuni.cz>        *
 *                                                                           *
 * This program is free software; you can redistribute it and/or modify      *
 * it under the terms of the GNU General Public License as published by      *
 * the Free Software Foundation; either version 2 of the License, or         *
 * (at your option) any later version.                                       *
 *                                                                           *
 * This program is distributed in the hope that it will be useful,           *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 * GNU General Public License for more details.                              *
 *                                                                           *
 * You should have received a copy of the GNU General Public License         *
 * along with this program; if not, write to the Free Software               *
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
 *****************************************************************************/

#ifndef __KOOo_part_part_h__
#define __KOOo_part_part_h__

#include <kparts/part.h>

class QWidget;
class KInstance;


namespace KOOo
{
  class Office;
  class OfficeWidget;

  class Part : public KParts::ReadWritePart
  {
    Q_OBJECT

    public:
      Part(QWidget *parent, const char *name = 0L);
      virtual ~Part() {}

      virtual void setReadWrite( bool rw );

    protected:
      virtual bool openFile();
      virtual bool saveFile();

    protected:
      static Office *s_office;
      OfficeWidget  *m_officeWidget;
      KInstance     *m_instance;
  };
}

#endif // __KOOo_part_part_h__
